| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
jvirt_barray_control Struct Reference

## Public Attributes
JBLOCKARRAY | mem_buffer
JDIMENSION | rows_in_array
JDIMENSION | blocksperrow
JDIMENSION | maxaccess
JDIMENSION | rows_in_mem
JDIMENSION | rowsperchunk
JDIMENSION | cur_start_row
JDIMENSION | first_undef_row
boolean | pre_zero
boolean | dirty
boolean | b_s_open
jvirt_barray_ptr | next
backing_store_info | b_s_info

## Detailed Description

Definition at line 166 of file jmemmgr.c.

## Member Data Documentation

backing_store_info jvirt_barray_control::b_s_info

Definition at line 179 of file jmemmgr.c.

boolean jvirt_barray_control::b_s_open

Definition at line 177 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::blocksperrow

Definition at line 169 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::cur_start_row

Definition at line 173 of file jmemmgr.c.

boolean jvirt_barray_control::dirty

Definition at line 176 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::first_undef_row

Definition at line 174 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::maxaccess

Definition at line 170 of file jmemmgr.c.

JBLOCKARRAY jvirt_barray_control::mem_buffer

Definition at line 167 of file jmemmgr.c.

jvirt_barray_ptr jvirt_barray_control::next

Definition at line 178 of file jmemmgr.c.

boolean jvirt_barray_control::pre_zero

Definition at line 175 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::rows_in_array

Definition at line 168 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::rows_in_mem

Definition at line 171 of file jmemmgr.c.

JDIMENSION jvirt_barray_control::rowsperchunk

Definition at line 172 of file jmemmgr.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jmemmgr.c